X2Go Bug report logs - #539
Missing fonts in X application

version graph

Package: pyhoca-gui; Maintainer for pyhoca-gui is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-gui is src:pyhoca-gui.

Reported by: Stephane Mutz <stephane.mutz@blinksight.com>

Date: Wed, 23 Jan 2013 09:03:01 UTC

Severity: normal

Tags: build-win32

Found in versions 0.5.0.0-pre02, 0.4.0.8

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#108; Package x2goclient. (Wed, 23 Jan 2013 09:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Stephane Mutz <stephane.mutz@blinksight.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 23 Jan 2013 09:03:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Stephane Mutz <stephane.mutz@blinksight.com>
To: submit@bugs.x2go.org
Subject: Missing fonts in X application
Date: Wed, 23 Jan 2013 09:53:55 +0100
Package: x2goclient

Setup: X2go server on Ubuntu 12.10, client on Win7

Issue: One of our CAD application displays unreadable text. When trying
to select another font, only one is available. xlsfonts also reports only a
few fonts. The application works fine locallyor when using a Linux X2go 
client
and xlsfonts shows a long list of fonts.

How to solve: Install the 'font' directory from the VcXsrv mainline package.
After that, the application shows readable text and provides a large 
selection
of alternative fonts.

I think it would be good to bring the Windows and Linux client closer by 
shipping
a more complete VcXsrv with it or at least offering the option.



Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#108; Package x2goclient. (Wed, 23 Jan 2013 11:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 23 Jan 2013 11:18:02 GMT) (full text, mbox, link).


Message #10 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: x2go-dev@lists.berlios.de, 108@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#108: Missing fonts in X application
Date: Wed, 23 Jan 2013 12:09:02 +0100
Am 23.01.2013 09:53, schrieb Stephane Mutz:

> Issue: One of our CAD application displays unreadable text. When trying
> to select another font, only one is available. xlsfonts also reports only a
> few fonts. The application works fine locallyor when using a Linux X2go
> client
> and xlsfonts shows a long list of fonts.
>
> How to solve: Install the 'font' directory from the VcXsrv mainline
> package.
> After that, the application shows readable text and provides a large
> selection
> of alternative fonts.
>
> I think it would be good to bring the Windows and Linux client closer by
> shipping
> a more complete VcXsrv with it or at least offering the option.

This reminds me of an issue with NoMachine's NX Client.  I'm not sure if 
they still do so, but they used to offer separate font packages for 
download on the same page as their Windows client.  The note next to 
them said that you'd only need them for really old X applications that 
require client-side fonts; all modern applications would use server-side 
fonts and work fine without these extra packages.

Out of curiosity, how old is your application?  Maybe there is a way to 
make it work with server-side fonts?

-Stefan

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#108; Package x2goclient. (Mon, 27 Jan 2014 02:20:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 27 Jan 2014 02:20:01 GMT) (full text, mbox, link).


Message #15 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 108@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#108: Missing fonts in X application
Date: Sun, 26 Jan 2014 21:16:41 -0500
Hi Stephane, I'm the new Win32 package maintainer for X2Go Client.

I see that you worked around this issue by copying over VcXsrv's fonts folder:
https://lists.berlios.de/pipermail/x2go-user/2013-January/001253.html

I've experienced this bug too with ClearCase 8.0.0's "xclearcase" GUI.
It is a very old UNIX/Linux GUI and it uses motif.

My successful workaround was to both install a bunch of fonts packages
server-side (including international fonts,) and to copy over the
fonts directory.

Still, I believe that we should take the same approach that NX did and
provide a seperate setup.exe containing the extra fonts. Unless there
are any objections, that will officially be on my to do list as the
win32 package maintainer.

Note that I do not want to include the fonts in the main X2Go Client
setup.exe because:
1. They are 4,673 files, which would add a lot to the installation time
2. They are 32MB compressed with 7-zip, so they would add that much
space or more. (X2goclient 4.0.1.3's setup .exe is only 23MB).

For reference to others who need to copy fonts:
- X2Go Client 4.0.0.3 uses VcXsrv 1.12.0.1
- X2Go Client 4.0.1.2 and 4.0.1.3 use VcXsrv 1.14.2.1.

-Mike#2


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#108; Package x2goclient. (Mon, 27 Jan 2014 09:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 27 Jan 2014 09:15:02 GMT) (full text, mbox, link).


Message #20 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael DePaulo <mikedep333@gmail.com>, 108@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#108: Bug#108: Missing fonts in X application
Date: Mon, 27 Jan 2014 09:14:42 +0000
[Message part 1 (text/plain, inline)]
Hi Mike#2,

On  Mo 27 Jan 2014 03:16:41 CET, Michael DePaulo wrote:

> Hi Stephane, I'm the new Win32 package maintainer for X2Go Client.
>
> I see that you worked around this issue by copying over VcXsrv's  
> fonts folder:
> https://lists.berlios.de/pipermail/x2go-user/2013-January/001253.html
>
> I've experienced this bug too with ClearCase 8.0.0's "xclearcase" GUI.
> It is a very old UNIX/Linux GUI and it uses motif.
>
> My successful workaround was to both install a bunch of fonts packages
> server-side (including international fonts,) and to copy over the
> fonts directory.
>
> Still, I believe that we should take the same approach that NX did and
> provide a seperate setup.exe containing the extra fonts. Unless there
> are any objections, that will officially be on my to do list as the
> win32 package maintainer.
>
> Note that I do not want to include the fonts in the main X2Go Client
> setup.exe because:
> 1. They are 4,673 files, which would add a lot to the installation time
> 2. They are 32MB compressed with 7-zip, so they would add that much
> space or more. (X2goclient 4.0.1.3's setup .exe is only 23MB).
>
> For reference to others who need to copy fonts:
> - X2Go Client 4.0.0.3 uses VcXsrv 1.12.0.1
> - X2Go Client 4.0.1.2 and 4.0.1.3 use VcXsrv 1.14.2.1.
>
> -Mike#2

Wouldn't the best approach be a .git project on git.x2go.org that  
includes the fonts and two nsis scripts (one for PyHoca, one for X2Go  
Client)?

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#108; Package x2goclient. (Mon, 27 Jan 2014 15:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 27 Jan 2014 15:10:02 GMT) (full text, mbox, link).


Message #25 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 108@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#108: Bug#108: Missing fonts in X application
Date: Mon, 27 Jan 2014 10:06:54 -0500
On Mon, Jan 27, 2014 at 4:14 AM, Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
>> Still, I believe that we should take the same approach that NX did and
>> provide a seperate setup.exe containing the extra fonts. Unless there
>> are any objections, that will officially be on my to do list as the
>> win32 package maintainer.
>
> Wouldn't the best approach be a .git project on git.x2go.org that includes
> the fonts and two nsis scripts (one for PyHoca, one for X2Go Client)?
>

Yes, I agree. But as long as PyHoca and X2Go Client use separate
VcXsrv versions, I will use 2 fonts directories. Note that the fonts
dirs do actually differ between VcXsrv releases.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#108; Package x2goclient. (Fri, 11 Apr 2014 13:10:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 11 Apr 2014 13:10:02 GMT) (full text, mbox, link).


Message #30 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 108@bugs.x2go.org
Subject: Question
Date: Fri, 11 Apr 2014 09:05:14 -0400
I intend to fix this bug soon, but 1st I am hoping someone knows the
answer to this question:

How does VcXsrv even work when there are no fonts installed?

I read this in a user review of VcXsrv on sf.net by user ausback:
VcXsrv comes with fonts that render the screen exactly as it is
rendered by the native Xorg server. Xming used Windows XP fonts which
looked pretty good but weren't the right size. Overall, I rate VcXsrv
vastly superior to Xming.

So presumably, VcXsrv uses the Windows XP/vista/7/etc fonts when its
own fonts are not installed.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#108; Package x2goclient. (Thu, 05 Jun 2014 13:30:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 05 Jun 2014 13:30:01 GMT) (full text, mbox, link).


Message #35 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 108@bugs.x2go.org
Subject: Workaround builds for X2Go Client 4.0.2.0
Date: Thu, 5 Jun 2014 09:25:14 -0400
I forgot to mention this earlier.

I created separate builds of X2Go Client 4.0.2.0 with the fonts:
http://wiki.x2go.org/doku.php/doc:release-notes-mswin:x2goclient-4.0.2.0#available_builds

This is probably just going to be a temporary measure, so I am not
marking this bug resolved yet.

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#108; Package x2goclient. (Sun, 29 Jun 2014 19:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 29 Jun 2014 19:25:02 GMT) (full text, mbox, link).


Message #40 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 108@bugs.x2go.org
Subject: Can we close #108?
Date: Sun, 29 Jun 2014 19:23:30 +0000
[Message part 1 (text/plain, inline)]
Hi Mike#2,

can we close bug #108 meanwhile? There are these X2Go Client builds  
with the misc fonts included.

How is the exact status of that nowadays?

Thanks for feedback!
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#108; Package x2goclient. (Mon, 30 Jun 2014 03:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jun 2014 03:50:02 GMT) (full text, mbox, link).


Message #45 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 108@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#108: Can we close #108?
Date: Sun, 29 Jun 2014 23:49:56 -0400
Hi Mike#2,

I have not had much time to work on this. I have been thinking about it though.

1. Regardless of the rest of what we decide, do not close this bug
until is is more obvious about the different builds being available.
Please provide feedback to the email thread: "How to handle the
different Windows builds"
http://comments.gmane.org/gmane.linux.terminal-server.x2go.devel/7158
And notice that I created a "non-default-builds" subfolder for 4.0.2.1 previews:
http://code.x2go.org/releases/binary-win32/x2goclient/previews/4.0.2.1/
And I think the home page should be updated to link to the latest
stable folder (.e.g, releases/4.0.2.1/, not
releases/4.0.2.1/non-default-builds/) . And this will solve the
problem of people reporting to us that they installed
"X2GoClient_latest_mswin32-setup.exe"

2. The separate X2Go builds are a temporary fix. Having 3 separate
builds (before factoring in the debug build) are adding a lot more
work for me. I never intended to close this bug with only them
available.

3. I supposed we could close this bug and open a new bug report for a
better/permanent fix. Or clone this bug for a better/permanent fix.
I'll leave which approach to take to your judgment.

4. When I get more free time, I'll do the following for a better/permanent fix:

a. Determine why the fonts are needed by some Linux applications, but
not others.
b. Determine what the default should be (I am leaning towards the
"misc" set. Empirically, it solves the compatibility problems for most
people, if not everyone. The "full" set makes the installer take much
longer and adds lots more files to the filesystem, so I'd rather not
make that the default.)
c. I'll probably integrate them into the regular installer as an
optional component, instead of putting them in a separate installer.
This means that the installer will be 48.5 MB in size with solid lzma
compression (compared to 56.0 MB with zlib compression.) However, in
2014, I think that 48.5 MB is reasonable.

Do not expect the permanent fix to arrive in time for 4.0.2.1.

-Mike


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#108; Package x2goclient. (Mon, 30 Jun 2014 08:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jun 2014 08:15:02 GMT) (full text, mbox, link).


Message #50 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael DePaulo <mikedep333@gmail.com>
Cc: 108@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#108: Can we close #108?
Date: Mon, 30 Jun 2014 08:13:26 +0000
[Message part 1 (text/plain, inline)]
Hi Michael,

On  Mo 30 Jun 2014 05:49:56 CEST, Michael DePaulo wrote:

> a. Determine why the fonts are needed by some Linux applications, but
> not others.
> b. Determine what the default should be (I am leaning towards the
> "misc" set. Empirically, it solves the compatibility problems for most
> people, if not everyone. The "full" set makes the installer take much
> longer and adds lots more files to the filesystem, so I'd rather not
> make that the default.)
> c. I'll probably integrate them into the regular installer as an
> optional component, instead of putting them in a separate installer.
> This means that the installer will be 48.5 MB in size with solid lzma
> compression (compared to 56.0 MB with zlib compression.) However, in
> 2014, I think that 48.5 MB is reasonable.

How about this:

We set up a new X2Go subproject called

  x2go-xfonts.git

This subproject contains _all_ extra fonts and mainly is an NSIS installer.

This installer can be used to install those extra fonts into the  
correct directory for X2Go Client _and_ for PyHoca-GUI.

The user/admin can install if he/she wants to install the fonts at  
both locations (%ProgramFiles%\x2golient, %ProgramFiles%\PyHoca-GUI)  
or only at one of them.

The X2Go Client setup.exe should remain rather minimal IMHO.

> Do not expect the permanent fix to arrive in time for 4.0.2.1.

Absolutely fine!

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#108; Package x2goclient. (Mon, 30 Jun 2014 12:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jun 2014 12:40:02 GMT) (full text, mbox, link).


Message #55 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 108@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#108: Can we close #108?
Date: Mon, 30 Jun 2014 08:39:49 -0400
On Mon, Jun 30, 2014 at 4:13 AM, Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
> Hi Michael,
>
>
> On  Mo 30 Jun 2014 05:49:56 CEST, Michael DePaulo wrote:
>
>> a. Determine why the fonts are needed by some Linux applications, but
>> not others.
>> b. Determine what the default should be (I am leaning towards the
>> "misc" set. Empirically, it solves the compatibility problems for most
>> people, if not everyone. The "full" set makes the installer take much
>> longer and adds lots more files to the filesystem, so I'd rather not
>> make that the default.)
>> c. I'll probably integrate them into the regular installer as an
>> optional component, instead of putting them in a separate installer.
>> This means that the installer will be 48.5 MB in size with solid lzma
>> compression (compared to 56.0 MB with zlib compression.) However, in
>> 2014, I think that 48.5 MB is reasonable.
>
>
> How about this:
>
> We set up a new X2Go subproject called
>
>   x2go-xfonts.git
>
> This subproject contains _all_ extra fonts and mainly is an NSIS installer.
>
> This installer can be used to install those extra fonts into the correct
> directory for X2Go Client _and_ for PyHoca-GUI.
>
> The user/admin can install if he/she wants to install the fonts at both
> locations (%ProgramFiles%\x2golient, %ProgramFiles%\PyHoca-GUI) or only at
> one of them.
>
> The X2Go Client setup.exe should remain rather minimal IMHO.
>
>
>> Do not expect the permanent fix to arrive in time for 4.0.2.1.
>
>
> Absolutely fine!
>
>
[...]

As Mike#1 and agreed on IRC, I will put the fonts in the X2Go Client
installer as an optional component. These are the reasons:

1. Windows does not have a proper dependency system. So you can remove
x2goclient or pyhoca-gui without removing the fonts.
2. I have to maintain the mapping between x2goclient/pyhoca-gui
versions and the font package versions. This is because the fonts do
change with different VcXsrv releases
3. Users expect "all the dependencies and optional components" to be
in 1 installer on Windows. In fact, that is the recommendation for
Windows.

Also, we will close this bug once the fonts are in the X2Go Client installer.

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#108; Package x2goclient. (Tue, 08 Jul 2014 00:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 08 Jul 2014 00:05:02 GMT) (full text, mbox, link).


Message #60 received at 108@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 108@bugs.x2go.org
Subject: Info on why some apps need the fonts but others don't
Date: Mon, 7 Jul 2014 20:03:27 -0400
I've determined why the fonts are needed by some Linux applications, but
not others.

Jon TURNEY from the Cygwin X11 project gave a very good overview:
https://cygwin.com/ml/cygwin-xfree/2014-07/threads.html#00002

Nomachine also had a very good explanation:
http://web.archive.org/web/20100323142457/http://www.nomachine.com/download-client-windows.php

The question is then what should the default be? misc only? or 75dpi,
100dpi, and misc?

misc is 412 files at 6.80 MB (7.94 MB on disk)
75dpi is 1,897 files at 10.7 MB (15.6 MB on disk)
100dpi is 1,897 files at 12.3 MB (16.8 MB on disk)
everything else is 466 files at 12.8MB (13.8 MB on disk)

I am leaning towards default to only misc, and then having separate
options for 75dpi, 100dpi, and for everything else.


Bug 108 cloned as bug 538 Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Tue, 08 Jul 2014 03:15:01 GMT) (full text, mbox, link).


Bug 108 cloned as bug 539 Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Tue, 08 Jul 2014 03:15:01 GMT) (full text, mbox, link).


Bug reassigned from package 'x2goclient' to 'pyhoca-gui'. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Tue, 08 Jul 2014 03:15:01 GMT) (full text, mbox, link).


Marked as found in versions 0.4.0.8. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Tue, 08 Jul 2014 03:15:01 GMT) (full text, mbox, link).


Marked as found in versions 0.5.0.0-pre02. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Tue, 08 Jul 2014 03:15:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#539; Package pyhoca-gui. (Sun, 25 Jan 2015 12:55:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 25 Jan 2015 12:55:03 GMT) (full text, mbox, link).


Message #75 received at 539@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 538@bugs.x2go.org, 539@bugs.x2go.org
Subject: fixed in Windows build of PyHoca-GUI 0.5.0.4
Date: Sun, 25 Jan 2015 12:52:15 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 build-win32
Control: close -1

In the PyHoca-GUI changelog, Mike#2 closed bug#108 (which is for X2Go  
component X2Go Client).

I herewith close the clones of #108 (#538: pyhoca-gui, #539: pyhoca-contrib).

@Mike#2: please correct me if I am mistaken and reopen these bugs (or  
one of them).

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) build-win32. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 539-submit@bugs.x2go.org. (Sun, 25 Jan 2015 12:55:04 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 539-submit@bugs.x2go.org. (Sun, 25 Jan 2015 12:55:04 GMT) (full text, mbox, link).


Notification sent to Stephane Mutz <stephane.mutz@blinksight.com>:
Bug acknowledged by developer. (Sun, 25 Jan 2015 12:55:04 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Mon, 23 Feb 2015 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Nov 18 12:09:47 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.